flex-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cd...@apache.org
Subject [7/8] flex-site git commit: - Added the "download" files and converted them to Markdown - Converted the about and doc pages to Markdown - Fixes the layout of the features page
Date Wed, 12 Oct 2016 12:27:03 GMT
http://git-wip-us.apache.org/repos/asf/flex-site/blob/10cbff96/src/site/markdown/download-installer.md
----------------------------------------------------------------------
diff --git a/src/site/markdown/download-installer.md b/src/site/markdown/download-installer.md
new file mode 100644
index 0000000..c58fd90
--- /dev/null
+++ b/src/site/markdown/download-installer.md
@@ -0,0 +1,40 @@
+# SDK Installer
+
+The Apache Flex® SDK Installer is an application that simplifies the download and installation
of the Apache Flex® SDK and its (required) components. It is aimed at anyone who wants to
use the latest release of the Apache Flex SDK, but who might not necessarily be familiar with
the tools and procedures required to compile the Apache Flex SDK from source code. The application
will grab the official, current release of the SDK from [apache.org](http://flex.apache.org/download.html),
install it onto your computer and prepare it for use with Adobe Flash Builder. Use the badge
below to download the Apache Flex SDK Installer.
+
+<div style="padding: 15px;"><iframe name="afSDKInstallBadgeRegular" src="./installerbadge/index.html"
frameborder="0" height="302" marginheight="0" marginwidth="0" scrolling="no" width="302"></iframe>
+<span style="position:relative;top:-290px;left:10px" >Problems with the installer ?
Read the <a href="https://cwiki.apache.org/confluence/display/FLEX/Installation+help">installation
help</a> on the Wiki.</span>
+<span style="position:relative;top:-310px;left:331px" >In particular, Linux users should
use the Ant-based method in the above link.</span></div>
+
+Alternatively, you can download the source and/or binaries for the Apache Flex® SDK Installer
directly:
+
+Note: the installer downloads other files besides the Apache Flex SDK. These files are needed
for the proper functioning of the SDK. The required TLF and the OSMF frameworks, as well as
the optional Embedded Font Libraries and Utilities and BlazeDS are mentioned separately in
the installer application. The other non-Apache files downloaded by the installer are:
+
+- [Adobe AIR SDK][6]
+- [PlayerGlobal.swc][7]
+- [SWFObject.js][8]
+
+## Download Apache Flex® SDK Installer 3.2 (source)
+
+The Apache Flex team is pleased to offer this 3.2 release of the Apache Flex® SDK Installer,
available as of 24 June 2015.
+
+- README : [README][5]
+- Mac OS X Source : [apache-flex-sdk-installer-3.2.0-src.tar.gz][1] [[PGP](https://dist.apache.org/repos/dist/release/flex/installer/3.2/apache-flex-sdk-installer-3.2.0-src.tar.gz.asc)]
[[MD5](https://dist.apache.org/repos/dist/release/flex/installer/3.2/apache-flex-sdk-installer-3.2.0-src.tar.gz.md5)]
+- Linux Source : [apache-flex-sdk-installer-3.2.0-src.tar.gz][1] [[PGP](https://dist.apache.org/repos/dist/release/flex/installer/3.2/apache-flex-sdk-installer-3.2.0-src.tar.gz.asc)]
[[MD5](https://dist.apache.org/repos/dist/release/flex/installer/3.2/apache-flex-sdk-installer-3.2.0-src.tar.gz.md5)]
+- Windows Source : [apache-flex-sdk-installer-3.2.0-src.zip][2] [[PGP](https://dist.apache.org/repos/dist/release/flex/installer/3.2/apache-flex-sdk-installer-3.2.0-src.zip.asc)]
[[MD5](https://dist.apache.org/repos/dist/release/flex/installer/3.2/apache-flex-sdk-installer-3.2.0-src.zip.md5)]
+
+## Download Apache Flex SDK Installer 3.2 (binaries)
+
+Binaries are provided as a convenience for those who do not wish to compile the installer
themselves. The 3.2 binaries were published on 24 June 2015.  There is no 3.2 convenience
binary for Linux as all recent Flex and FlexJS SDK's support installation via Apache Ant and
it was determined that Linux users preferred the Ant method over having to install Adobe AIR
to install the SDK.
+
+- Mac OS X Convenience Binary : [apache-flex-sdk-installer-3.2.0-bin.dmg][3] [[PGP](https://dist.apache.org/repos/dist/release/flex/installer/3.2/binaries/apache-flex-sdk-installer-3.2.0-bin.dmg.asc)]
[[MD5](https://dist.apache.org/repos/dist/release/flex/installer/3.2/binaries/apache-flex-sdk-installer-3.2.0-bin.dmg.md5)]
+- Windows Convenience Binary : [apache-flex-sdk-installer-3.2.0-bin.exe][4] [[PGP](https://dist.apache.org/repos/dist/release/flex/installer/3.2/binaries/apache-flex-sdk-installer-3.2.0-bin.exe.asc)]
[[MD5](https://dist.apache.org/repos/dist/release/flex/installer/3.2/binaries/apache-flex-sdk-installer-3.2.0-bin.exe.md5)]
+
+  [1]: http://www.apache.org/dyn/closer.lua/flex/installer/3.2/apache-flex-sdk-installer-3.2.0-src.tar.gz
+  [2]: http://www.apache.org/dyn/closer.lua/flex/installer/3.2/apache-flex-sdk-installer-3.2.0-src.zip
+  [3]: http://www.apache.org/dyn/closer.lua/flex/installer/3.2/binaries/apache-flex-sdk-installer-3.2.0-bin.dmg
+  [4]: http://www.apache.org/dyn/closer.lua/flex/installer/3.2/binaries/apache-flex-sdk-installer-3.2.0-bin.exe
+  [5]: https://dist.apache.org/repos/dist/release/flex/installer/3.2/READme
+  [6]: http://www.adobe.com/devnet/air/air-sdk-download.html
+  [7]: http://www.adobe.com/support/flashplayer/downloads.html
+  [8]: http://code.google.com/p/swfobject/

http://git-wip-us.apache.org/repos/asf/flex-site/blob/10cbff96/src/site/markdown/download-source.md
----------------------------------------------------------------------
diff --git a/src/site/markdown/download-source.md b/src/site/markdown/download-source.md
new file mode 100644
index 0000000..0f15074
--- /dev/null
+++ b/src/site/markdown/download-source.md
@@ -0,0 +1,102 @@
+# Download the Source Code
+
+Use the links below to download the Apache Flex® SDK from one of our mirrors. You must verify
the integrity of the downloaded files using signatures downloaded from this page.
+
+Only current recommended releases are available on the main distribution site and its mirrors.
 Previous releases produced by Adobe, including 4.6.0 are available at [Adobe's Sourceforge
Site][1].
+
+The Apache Flex® SDK has some compile-time dependencies.  Please make sure to review the
dependencies section if you plan on compiling the source from scratch.
+
+**Please review the release notes before installing or compiling the SDK.**
+
+## Current Release (4.15.0)
+
+The Apache Flex team is pleased to offer this release, available as of the 11th of January
2016.  This is the lastest Apache Flex SDK release and is designed to be compatible with previous
versions of the Apache Flex SDK and Adobe Flex SDK.
+
+  - Release Notes : [RELEASE_NOTES][2]
+  - README : [README][15]
+  - Mac OS X Source : [apache-flex-sdk-4.15.0-src.tar.gz][3] [[PGP](http://www.apache.org/dist/flex/4.15.0/apache-flex-sdk-4.15.0-src.tar.gz.asc)]
[[MD5](http://www.apache.org/dist/flex/4.15.0/apache-flex-sdk-4.15.0-src.tar.gz.md5)]
+  - Linux Source : [apache-flex-sdk-4.15.0-src.tar.gz][3] [[PGP](http://www.apache.org/dist/flex/4.15.0/apache-flex-sdk-4.15.0-src.tar.gz.asc)]
[[MD5](http://www.apache.org/dist/flex/4.15.0/apache-flex-sdk-4.15.0-src.tar.gz.md5)]
+  - Windows Source : [apache-flex-sdk-4.15.0-src.zip][4] [[PGP](http://www.apache.org/dist/flex/4.15.0/apache-flex-sdk-4.15.0-src.zip.asc)]
[[MD5](http://www.apache.org/dist/flex/4.15.0/apache-flex-sdk-4.15.0-src.zip.md5)]
+  - Documentation : [apache-flex-sdk-4.15.0-asdocs.zip][5]
+
+## Bleeding-Edge Release
+
+You can always grab the "in-development" version of our code.  Things may not work, nor may
tests pass.  Use at your own risk.
+
+We use [Git][6] for version control. You can [browse our repository][7] in your web browser.
The development of the Flex SDK is done on 'branches/develop', while releases are cut from
the 'trunk'.
+
+If you are looking for the cutting edge development branch of the Flex SDK:
+
+    git clone https://git-wip-us.apache.org/repos/asf/flex-sdk.git flex-sdk
+	cd flex-sdk
+	git checkout develop
+	
+	You will also need:
+	git clone https://git-wip-us.apache.org/repos/asf/flex-tlf.git flex-tlf
+	
+	See the README at the root of the sdk for further details on how to set it up.
+
+### Source-Code Dependencies
+
+Due to licensing requirements, there are some components that we depend on that we can not
include in our source distribution.  Please review the [README][15] included in your download
for more information on where to install these packages.
+
+### Optional Dependencies
+
+The following dependency is optional, and if available will provide additional features to
the Flex Framework:
+
+- Embedded Font Support:
+  - flex-fontkit.jar [Download from older SDK](http://fpdownload.adobe.com/pub/flex/sdk/builds/flex4.6/flex_sdk_4.6.0.23201B.zip)
[License](http://www.adobe.com/products/eulas/pdfs/adobe_flex_software_development_kit-combined-20110916_0930.pdf)
+  - afe.jar [Download from older SDK](http://fpdownload.adobe.com/pub/flex/sdk/builds/flex4.6/flex_sdk_4.6.0.23201B.zip)
[License](http://www.adobe.com/products/eulas/pdfs/adobe_flex_software_development_kit-combined-20110916_0930.pdf)
+  - adt.jar [Download from older SDK](http://fpdownload.adobe.com/pub/flex/sdk/builds/flex4.6/flex_sdk_4.6.0.23201B.zip)
[License](http://www.adobe.com/products/eulas/pdfs/adobe_flex_software_development_kit-combined-20110916_0930.pdf)
+  - rideau.jar [Download from older SDK](http://fpdownload.adobe.com/pub/flex/sdk/builds/flex4.6/flex_sdk_4.6.0.23201B.zip)
[License](http://www.adobe.com/products/eulas/pdfs/adobe_flex_software_development_kit-combined-20110916_0930.pdf)
+
+All of the above dependencies can automatically be downloaded via the following ANT command
:
+
+    cd <flex.dir>/frameworks
+    ant thirdparty-downloads
+
+If you are planning on compiling the source code, you will need the following components.
 More details are available in the README file in the downloaded package.  Some of these components
have licenses that differ from the Apache License.
+
+- Java SDK 1.7 (1.6 and 1.8 should work as well)
+- ANT 1.7.0 or greater
+- Adobe AIR Integration Kit
+- Adobe Flash Player Content Debugger / Adobe Flash Player
+- Adobe Pixel Bender Toolkit
+
+### Verify the integrity of the files
+
+Apache relies on 3rd party mirrors to distribute their software.  Because these releases
are hosted on servers that are not under our control, we strongly recommend that you verify
the integrity of the binaries or source code before you install it using the PGP or MD5 signatures
listed next to the downloads.  This involves a few extra steps, but it will verify that you
are getting a true Apache release.
+
+The PGP signatures can be verified using PGP or GPG. First download the [KEYS][10] as well
as the asc signature file for the relevant distribution. Make sure you get these files as
linked from this page (rather than a mirror) to insure the integrity of the files.
+
+    % pgpk -a KEYS
+
+    % pgpv apache-flex-sdk-4.15.0-src.tar.gz.asc
+
+*or*
+
+    % pgp -ka KEYS
+
+    % pgp apache-flex-sdk-4.15.0-src.tar.gz.asc
+
+*or*
+
+    % gpg --import KEYS
+
+    % gpg --verify apache-flex-sdk-4.15.0-src.tar.gz.asc
+
+Alternatively, you can verify the MD5 signature on the files. A unix/Mac program called `md5`
or `md5sum` is included in many unix distributions. It is also available as part of [GNU Textutils][11].
Windows users can get binary md5 programs from [here][12] , [here][13] , or [here][14]. An
MD5 signature consists of 32 hex characters, and a SHA1 signature consists of 40 hex characters.
Ensure your generated signature string matches the signature string published in the files
above.
+
+[1]: http://sourceforge.net/adobe/flexsdk/wiki/About/
+[2]: http://www.apache.org/dyn/closer.lua/flex/4.15.0/RELEASE_NOTES
+[3]: http://www.apache.org/dyn/closer.lua/flex/4.15.0/apache-flex-sdk-4.15.0-src.tar.gz
+[4]: http://www.apache.org/dyn/closer.lua/flex/4.15.0/apache-flex-sdk-4.15.0-src.zip
+[5]: http://www.apache.org/dyn/closer.lua/flex/4.15.0/docs/apache-flex-sdk-4.15.0-asdocs.zip
+[6]: http://git-scm.com/
+[7]: http://git.apache.org/
+[10]: http://www.apache.org/dist/flex/KEYS
+[11]: http://www.gnu.org/software/textutils/textutils.html
+[12]: http://www.fourmilab.ch/md5/
+[13]: http://www.pc-tools.net/win32/freeware/console/
+[14]: http://www.slavasoft.com/fsum/
+[15]: http://www.apache.org/dyn/closer.lua/flex/4.15.0/README
\ No newline at end of file

http://git-wip-us.apache.org/repos/asf/flex-site/blob/10cbff96/src/site/markdown/download-squiggly.md
----------------------------------------------------------------------
diff --git a/src/site/markdown/download-squiggly.md b/src/site/markdown/download-squiggly.md
new file mode 100644
index 0000000..23a1df5
--- /dev/null
+++ b/src/site/markdown/download-squiggly.md
@@ -0,0 +1,77 @@
+# Download Apache Flex Squiggly
+
+Apache Flex Squiggly is a ActionScript spell checking library.
+
+Use the links below to download Apache Squiggly 1.1 release from one of our mirrors. You
must verify the integrity of the downloaded files using signatures downloaded from this page.
+
+Squiggly has some compile-time and run-time dependencies.  Please make sure to review the
dependencies section if you plan on re-compiling the source from scratch.
+
+**Please review the release notes before installing or compiling this release.**
+
+## Current Release (1.1)
+
+The Apache Flex team is pleased to offer this release, available as of the 29th of October
2014.  This is the initial release of the Squiggly library under Apache.
+
+Binaries are provided as a convenience for those who do not wish to compile Squiggly themselves.
 The 1.1 binaries were published on the 29th of October 2014.
+
+**Please be aware of the dependencies listed in the section below.**  They are required in
order to compile the Apache Flex Squiggly library.
+
+- Release Notes : [RELEASE_NOTES][2]
+- README : [README][1]
+- Source (tar.gz) : [apache-flex-squiggly-1.1-src.tar.gz][3] [[PGP](http://www.apache.org/dist/flex/squiggly/1.1/apache-flex-squiggly-1.1-src.tar.gz.asc)]
[[MD5](http://www.apache.org/dist/flex/squiggly/1.1/apache-flex-squiggly-1.1-src.tar.gz.md5)]
+- Source (zip) : [apache-flex-squiggly-1.1-src.zip][4] [[PGP](http://www.apache.org/dist/flex/squiggly/1.1/apache-flex-squiggly-1.1-src.zip.asc)]
[[MD5](http://www.apache.org/dist/flex/squiggly/1.1/apache-flex-squiggly-1.1-src.zip.md5)]
+- Binaries (tar.gz) : [apache-flex-squiggly-1.1-bin.tar.gz][5] [[PGP](http://www.apache.org/dist/flex/squiggly/1.1/apache-flex-squiggly-1.1-bin.tar.gz.asc)]
[[MD5](http://www.apache.org/dist/flex/squiggly/1.1/apache-flex-squiggly-1.1-bin.tar.gz.md5)]
+- Binaries (zip) : [apache-flex-squiggly-1.1-bin.zip][6] [[PGP](http://www.apache.org/dist/flex/squiggly/1.1/apache-flex-squiggly-1.1-bin.zip.asc)]
[[MD5](http://www.apache.org/dist/flex/squiggly/1.1/apache-flex-squiggly-1.1-bin.zip.md5)]
+
+### Dependencies
+
+Apache Squiggly requires some build tools which must be installed prior to building Squiggly.
 Some of these have different licenses.
+
+### General Requirements
+
+To compile the source code you need:
+
+- Java SDK 1.6 or greater
+- ANT 1.7.1 or greater
+- Apache Flex 4.8 or greater
+
+### Software Dependencies
+
+Apache Squiggly requires 3rd party dictionaries to in order to perform spell checking. These
are not required to just compile Squiggly. See the [README][1] on where to obtain these dictionaries
other than the British and American English directories contained in this release. Most of
these dictionaries are not Apache licensed.
+
+### Verify the integrity of the files
+
+Apache relies on 3rd party mirrors to distribute their software.  Because these releases
are hosted on servers that are not under our control, we strongly recommend that you verify
the integrity of the binaries or source code before you install it using the PGP or MD5 signatures
listed next to the downloads.  This involves a few extra steps, but it will verify that you
are getting a true Apache release.
+
+The PGP signatures can be verified using PGP or GPG. First download the [KEYS][10] as well
as the asc signature file for the relevant distribution. Make sure you get these files as
linked from this page (rather than a mirror) to insure the integrity of the files.
+
+    % pgpk -a KEYS
+
+    % pgpv apache-flex-squiggly-1.1-src.tar.gz.asc
+
+*or*
+
+    % pgp -ka KEYS
+
+    % pgp apache-flex-squiggly-1.1-src.tar.gz.asc
+
+*or*
+
+    % gpg --import KEYS
+
+    % gpg --verify apache-flex-squiggly-1.1-src.tar.gz.asc
+
+Alternatively, you can verify the MD5 signature on the files. A unix/Mac program called `md5`
or `md5sum` is included in many unix distributions. It is also available as part of [GNU Textutils][11].
Windows users can get binary md5 programs from [here][12] , [here][13] , or [here][14]. An
MD5 signature consists of 32 hex characters, and a SHA1 signature consists of 40 hex characters.
Ensure your generated signature string matches the signature string published in the files
above.
+
+[1]: http://www.apache.org/dyn/closer.lua/flex/squiggly/1.1/README
+[2]: http://www.apache.org/dyn/closer.lua/flex/squiggly/1.1/RELEASE_NOTES
+[3]: http://www.apache.org/dyn/closer.lua/flex/squiggly/1.1/apache-flex-squiggly-1.1-src.tar.gz
+[4]: http://www.apache.org/dyn/closer.lua/flex/squiggly/1.1/apache-flex-squiggly-1.1-src.zip
+[5]: http://www.apache.org/dyn/closer.lua/flex/squiggly/1.1/apache-flex-squiggly-1.1-bin.tar.gz
+[6]: http://www.apache.org/dyn/closer.lua/flex/squiggly/1.1/apache-flex-squiggly-1.1-bin.zip
+[10]: http://www.apache.org/dist/flex/KEYS
+[11]: http://www.gnu.org/software/textutils/textutils.html
+[12]: http://www.fourmilab.ch/md5/
+[13]: http://www.pc-tools.net/win32/freeware/console/
+[14]: http://www.slavasoft.com/fsum/
+

http://git-wip-us.apache.org/repos/asf/flex-site/blob/10cbff96/src/site/markdown/download-tourdeflex.md
----------------------------------------------------------------------
diff --git a/src/site/markdown/download-tourdeflex.md b/src/site/markdown/download-tourdeflex.md
new file mode 100644
index 0000000..35bdcac
--- /dev/null
+++ b/src/site/markdown/download-tourdeflex.md
@@ -0,0 +1,64 @@
+# Download Apache Tour De Flex
+
+Use the links below to download the Apache Flex® Tour De Flex component explorer from one
of our mirrors. You must verify the integrity of the downloaded files using signatures downloaded
from this page.
+
+Only current recommended releases are available on the main distribution site and its mirrors.
+
+**Please review the release notes before installing or compiling this testing suite.**
+
+## Current Release (1.2)
+
+The Apache Flex team is pleased to offer this release, available as of the 30th of November
2014. This application is based on work donated by Adobe and their component explorer and
is expected to be updated over time. We welcome feedback and contributions to it from the
wider Apache Flex community.
+
+**Please be aware of the dependencies listed in the section below.**  They are required in
order to compile the Tour De Flex Examples.  The [README][15] explains these requirements
further.
+
+- Release Notes : [RELEASE_NOTES][2]
+- README : [README][15]
+- Source (tar.gz) : [apache-flex-tour-de-flex-component-explorer-1.2-src.tar.gz][3] [[PGP](http://www.apache.org/dist/flex/tourdeflex/1.2/apache-flex-tour-de-flex-component-explorer-1.2-src.tar.gz.asc)]
[[MD5](http://www.apache.org/dist/flex/tourdeflex/1.2/apache-flex-tour-de-flex-component-explorer-1.2-src.tar.gz.md5)]
+- Source (zip) : [apache-flex-tour-de-flex-component-explorer-1.2-src.zip][4] [[PGP](http://www.apache.org/dist/flex/tourdeflex/1.2/apache-flex-tour-de-flex-component-explorer-1.2-src.zip.asc)]
[[MD5](http://www.apache.org/dist/flex/tourdeflex/1.2/apache-flex-tour-de-flex-component-explorer-1.2-src.zip.md5)]
+
+Due to their size convenience binary releases are not available but you can look at the Tour
De Flex component explorer on the [Apache Flex website][16].
+
+### Dependencies
+
+Apache Flex Tour De Flex requires some build tools which must be installed prior to building
Tour De Flex.
+
+### General Requirements
+
+- ANT 1.7.1 or greater
+- Apache Flex 4.8 or greater (preferably the latest version otherwise not all examples may
compile)
+
+### Verify the integrity of the files
+
+Apache relies on 3rd party mirrors to distribute their software.  Because these releases
are hosted on servers that are not under our control, we strongly recommend that you verify
the integrity of the binaries or source code before you install it using the PGP or MD5 signatures
listed next to the downloads.  This involves a few extra steps, but it will verify that you
are getting a true Apache release.
+
+The PGP signatures can be verified using PGP or GPG. First download the [KEYS][10] as well
as the asc signature file for the relevant distribution. Make sure you get these files as
linked from this page (rather than a mirror) to insure the integrity of the files.
+
+    % pgpk -a KEYS
+
+    % pgpv apache-flex-tour-de-flex-component-explorer-1.2-src.tar.gz.asc
+
+*or*
+
+    % pgp -ka KEYS
+
+    % pgp apache-flex-tour-de-flex-component-explorer-1.2-src.tar.gz.asc
+
+*or*
+
+    % gpg --import KEYS
+
+    % gpg --verify apache-flex-tour-de-flex-component-explorer-1.2-src.tar.gz.asc
+
+Alternatively, you can verify the MD5 signature on the files. A unix/Mac program called `md5`
or `md5sum` is included in many unix distributions. It is also available as part of [GNU Textutils][11].
Windows users can get binary md5 programs from [here][12] , [here][13] , or [here][14]. An
MD5 signature consists of 32 hex characters, and a SHA1 signature consists of 40 hex characters.
Ensure your generated signature string matches the signature string published in the files
above.
+
+[2]: http://www.apache.org/dyn/closer.lua/flex/tourdeflex/1.2/RELEASE_NOTES
+[3]: http://www.apache.org/dyn/closer.lua/flex/tourdeflex/1.2/apache-flex-tour-de-flex-component-explorer-1.2-src.tar.gz
+[4]: http://www.apache.org/dyn/closer.lua/flex/tourdeflex/1.2/apache-flex-tour-de-flex-component-explorer-1.2-src.zip
+[10]: http://www.apache.org/dist/flex/KEYS
+[11]: http://www.gnu.org/software/textutils/textutils.html
+[12]: http://www.fourmilab.ch/md5/
+[13]: http://www.pc-tools.net/win32/freeware/console/
+[14]: http://www.slavasoft.com/fsum/
+[15]: http://www.apache.org/dyn/closer.lua/flex/tourdeflex/1.2/README
+[16]: http://flex.apache.org/tourdeflex/index.html
\ No newline at end of file

http://git-wip-us.apache.org/repos/asf/flex-site/blob/10cbff96/src/site/markdown/download-utilities.md
----------------------------------------------------------------------
diff --git a/src/site/markdown/download-utilities.md b/src/site/markdown/download-utilities.md
new file mode 100644
index 0000000..522690f
--- /dev/null
+++ b/src/site/markdown/download-utilities.md
@@ -0,0 +1,37 @@
+# SDK Utilities
+
+The following utilities are available to make working with the Apache Flex® SDK easier:
+
+## Apache Flex® SDK Installer Badge
+
+The Apache Flex® SDK Installer Badge is a utility provided by the Apache Flex project to
enable a one click download of the Apache Flex SDK Installer application. This application
in turn installs the latest release of the Apache Flex SDK right into Adobe Flash Builder,
ready for use.
+
+You can embed the badge on your website or in your blog, so your readers have easy access
to Apache Flex SDK releases. The badge comes in two sizes, both of which offer the same functionality:
download the latest release of the Apache Flex SDK Installer application. To use the badge
on your site or blog all you have to do is embed an iframe in the page. The iframe code is
presented below:
+
+Regular size (302 x 302)
+
+<iframe name="afSDKInstallBadgeRegular" src="./installerbadge/index.html" frameborder="0"
height="302" marginheight="0" marginwidth="0" scrolling="no" width="302"></iframe>
+
+Use this code to embed the regular size badge on your website/blog:
+
+    <iframe name="afSDKInstallBadgeRegular" src="http://flex.apache.org/installerbadge/index.html"
+    frameborder="0" height="302" marginheight="0" marginwidth="0" scrolling="no" width="302"></iframe>
+
+Small size (402 x 84)
+
+<iframe name="afSDKInstallBadgeSmall" src="./installerbadge/index.html" frameborder="0"
height="84" marginheight="0" marginwidth="0" scrolling="no" width="402"></iframe>
+
+Use this code to embed the small size badge on your website/blog:
+
+    <iframe name="afSDKInstallBadgeSmall" src="http://flex.apache.org/installerbadge/index.html"
+    frameborder="0" height="84" marginheight="0" marginwidth="0" scrolling="no" width="402"></iframe>
+
+## Apache Flex SDK Mavenizer
+
+In order to be able to use Flex with a maven build, it is crucial to be able to have access
to a mavenized form of FDK. The Apache Flex SDK Mavenizer tool is used to convert the Apache
and Adobe Flex SDKs and Air SDKs into Maven artifacts. Automatically creating the Directories,
pom-files, copying and moving the resources to the correct destinations.
+
+These artifacts can be used in Maven builds using the Flexmojos plugin (Starting with version
6.x).
+
+The mavenizer is part of the Apache Utilities Git repository that can be found here:
+
+    https://git-wip-us.apache.org/repos/asf/flex-utilities.git
\ No newline at end of file

http://git-wip-us.apache.org/repos/asf/flex-site/blob/10cbff96/src/site/resources/img/feature-browser.jpg
----------------------------------------------------------------------
diff --git a/src/site/resources/img/feature-browser.jpg b/src/site/resources/img/feature-browser.jpg
new file mode 100644
index 0000000..a0644d5
Binary files /dev/null and b/src/site/resources/img/feature-browser.jpg differ

http://git-wip-us.apache.org/repos/asf/flex-site/blob/10cbff96/src/site/resources/img/feature-mobile.jpg
----------------------------------------------------------------------
diff --git a/src/site/resources/img/feature-mobile.jpg b/src/site/resources/img/feature-mobile.jpg
new file mode 100644
index 0000000..33855ce
Binary files /dev/null and b/src/site/resources/img/feature-mobile.jpg differ

http://git-wip-us.apache.org/repos/asf/flex-site/blob/10cbff96/src/site/resources/img/feature-multiplatform.jpg
----------------------------------------------------------------------
diff --git a/src/site/resources/img/feature-multiplatform.jpg b/src/site/resources/img/feature-multiplatform.jpg
new file mode 100644
index 0000000..8bf1afc
Binary files /dev/null and b/src/site/resources/img/feature-multiplatform.jpg differ

http://git-wip-us.apache.org/repos/asf/flex-site/blob/10cbff96/src/site/resources/img/feature-tools.png
----------------------------------------------------------------------
diff --git a/src/site/resources/img/feature-tools.png b/src/site/resources/img/feature-tools.png
new file mode 100644
index 0000000..ec3098d
Binary files /dev/null and b/src/site/resources/img/feature-tools.png differ

http://git-wip-us.apache.org/repos/asf/flex-site/blob/10cbff96/src/site/resources/img/feature-tv.jpg
----------------------------------------------------------------------
diff --git a/src/site/resources/img/feature-tv.jpg b/src/site/resources/img/feature-tv.jpg
new file mode 100644
index 0000000..4ab08ae
Binary files /dev/null and b/src/site/resources/img/feature-tv.jpg differ

http://git-wip-us.apache.org/repos/asf/flex-site/blob/10cbff96/src/site/site.xml
----------------------------------------------------------------------
diff --git a/src/site/site.xml b/src/site/site.xml
index 04e67ca..99b73bf 100644
--- a/src/site/site.xml
+++ b/src/site/site.xml
@@ -44,6 +44,15 @@
                         <columns>6</columns>
                     </sections>
                 </index>
+                <about-features>
+                    <sections>
+                        <body/>
+                        <columns>2</columns>
+                        <columns>2</columns>
+                        <columns>2</columns>
+                        <columns>2</columns>
+                    </sections>
+                </about-features>
                 <about-people>
                     <sections>
                         <body/>
@@ -60,6 +69,15 @@
                         <body/>
                     </sections>
                 </about-people>
+                <doc-videos>
+                    <sections>
+                        <body/>
+                        <columns>4</columns>
+                        <columns>4</columns>
+                        <columns>4</columns>
+                        <columns>4</columns>
+                    </sections>
+                </doc-videos>
             </pages>
         </reflowSkin>
     </custom>
@@ -133,16 +151,16 @@
         </menu>
 
         <menu name="Download Flex">
-            <item name="SDK Installer (For Application Developers)" href=".html"/>
-            <item name="SDK Source Code (For SDK Developers)" href=".html"/>
-            <item name="SDK Binaries (For SDK Developers)" href=".html"/>
-            <item name="FlexJS 'beta' (For Application Developers)" href=".html"/>
-            <item name="FlexUnit (For Application Developers)" href=".html"/>
-            <item name="Blaze DS Source Code" href=".html"/>
-            <item name="Tour De Flex Source Code" href=".html"/>
-            <item name="Squiggly Spell Checker" href=".html"/>
-            <item name="Flex Utilities" href=".html"/>
-            <item name="Previous Versions" href=".html"/>
+            <item name="SDK Installer (For Application Developers)" href="download-installer.html"/>
+            <item name="SDK Source Code (For SDK Developers)" href="download-source.html"/>
+            <item name="SDK Binaries (For SDK Developers)" href="download-binaries.html"/>
+            <item name="FlexJS 'beta' (For Application Developers)" href="download-flexjs.html"/>
+            <item name="FlexUnit (For Application Developers)" href="download-flexunit.html"/>
+            <item name="Blaze DS Source Code" href="download-blazeds.html"/>
+            <item name="Tour De Flex Source Code" href="download-tourdeflex.html"/>
+            <item name="Squiggly Spell Checker" href="download-squiggly.html"/>
+            <item name="Flex Utilities" href="download-utilities.html"/>
+            <item name="Previous Versions" href="download-archive.html"/>
         </menu>
     </body>
 </project>
\ No newline at end of file


Mime
View raw message